body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background: linear-gradient(to right, #141e30, #243b55);
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 500px;
    background-color: white;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.3);
}

h1 {
    text-align: center;
    color: #243b55;
    margin-bottom: 30px;
}

.task-input {
    display: flex;
    gap: 10px;
}

.task-input input {
    flex: 1;
    padding: 12px;
    border: 2px solid #243b55;
    border-radius: 8px;
    font-size: 16px;
}

.task-input button {
    padding: 12px 20px;
    border: none;
    background-color: #243b55;
    color: white;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
}

.task-input button:hover {
    background-color: #141e30;
}

.task-list {
    margin-top: 25px;
}

.task-item {
    background-color: #f4f4f4;
    padding: 15px;
    margin-bottom: 10px;
    border-radius: 8px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.delete-btn {
    background-color: crimson;
    color: white;
    border: none;
    padding: 8px 12px;
    border-radius: 6px;
    cursor: pointer;
}

.delete-btn:hover {
    background-color: darkred;
}